package cn.bsystem.ptuserrole.dao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

import javax.annotation.PostConstruct;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;

import com.ibatis.sqlmap.client.SqlMapClient;

import cn.base.dao.BaseSqlMapDAO;

@SuppressWarnings({"all"})
@Repository("ptyhcdjsDao")
public class PtyhcdjsDao  extends BaseSqlMapDAO{
		
	/**
	 * 增加记录
	 * @param map
	 */
	public void insert_Ptyhcdjs(Map map) throws SQLException{
		this.insert("insert_Ptyhcdjs",map);
	}
	
	/**
	 * 批处理增加记录
	 * @param batch
	 */
	public void batch_insert_Ptyhcdjs(List batch) throws SQLException{
		this.insert("batch_insert_Ptyhcdjs",batch);
	}

	/**
	 * 修改记录
	 * @param map
	 * @return Integer
	 */
	public Integer update_Ptyhcdjs(Map map) throws SQLException{
		return this.update("update_Ptyhcdjs",map);
	}

	/**
	 * 删除记录
	 * @param map
	 * @return Integer
	 */
	public Integer delete_Ptyhcdjs(Map map) throws SQLException{
		return this.delete("delete_Ptyhcdjs",map);
	}
	
	/**
	 * 批处理删除记录
	 * @param map
	 * @return Integer
	 */
	public Integer batch_delete_Ptyhcdjs(Map map) throws SQLException{
		return this.delete("batch_delete_Ptyhcdjs",map);
	}

	
	/**
	 * 查询总数
	 * 
	 * @param map
	 * @return Integer
	 */
	public Integer count_Ptyhcdjs(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Ptyhcdjs",map);
	}
	
	/**
	 * 查询列表记录
	 * 
	 * @param map
	 * @return List
	 */
	public List<Map> query_Ptyhcdjs(Map map) throws SQLException{
		return this.queryForPage("query_Ptyhcdjs",map);
	}
	
	/**
	 * 查询列表记录
	 * 
	 * @param map
	 * @return List
	 */
	public Map get_Ptyhcdjs(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Ptyhcdjs",map);
	}
	
	
	public Integer count_ptyh_alreadyIn(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_ptyh_alreadyIn",map);
	}
	 
	public List<Map> query_ptyh_alreadyIn(Map map) throws SQLException{
		return this.queryForPage("query_ptyh_alreadyIn",map);
	}
	
	public Integer count_ptyh_alreadyOut(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_ptyh_alreadyOut",map);
	}
	 
	public List<Map> query_ptyh_alreadyOut(Map map) throws SQLException{
		return this.queryForPage("query_ptyh_alreadyOut",map);
	}
	public void insertPtyhcdjsByjsbh(Map map) throws SQLException{
		this.insert("insert_PtyhcdjsByjsbh",map);
	}
	
	public Integer deletePtyhcdjsByjsbh(Map map) throws SQLException{
		return this.delete("delete_PtyhcdjsByjsbh",map);
	}
	
}
